# Project-wide Gradle settings.

# IDE (e.g. Android Studio) users:
# Gradle settings configured through the IDE *will override*
# any settings specified in this file.

# For more details on how to configure your build environment visit
# http://www.gradle.org/docs/current/userguide/build_environment.html

# Specifies the JVM arguments used for the daemon process.
# The setting is particularly useful for tweaking memory settings.
android.enableJetifier=false
android.useAndroidX=true
android.defaults.buildfeatures.buildconfig=true
android.nonTransitiveRClass=true

# Resource IDs will be non-final in AGP 8.0 and above.
# So, avoid using ids in switch statements. Use if conditional instead.
android.nonFinalResIds=true

# When configured, Gradle will run in incubating parallel mode.
# This option should only be used with decoupled projects. More details, visit
# http://www.gradle.org/docs/current/userguide/multi_project_builds.html#sec:decoupled_projects
# org.gradle.parallel=true

# Skip tests to avoid build failures during development
android.testOptions.unitTests.all.enabled=false

# Fix DEX processing issues and increase memory for Dokka with Kotlin 2.0
android.enableDexingArtifactTransform.desugaring=false
org.gradle.jvmargs=-Xmx4g -XX:MaxMetaspaceSize=1g -XX:+HeapDumpOnOutOfMemoryError
android.enableR8.fullMode=false